Package wx :: Class ContextMenuEvent

[frames | no frames]

## Type ContextMenuEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        ContextMenuEvent

This class is used for context menu events (EVT_CONTECT_MENU,) sent to give the application a chance to show a context (popup) menu.

Method Summary
ContextMenuEvent | ``__init__`(self, type, winid, pt)` Constructor.
Point | ``GetPosition`(self)` Returns the position (in screen coordinants) at which the menu should be shown.
| ``SetPosition`(self, pos)` Sets the position at which the menu should be shown.

Property Summary
| `Position`: See `GetPosition` and `SetPosition`
| `thisown`: The membership flag

Method Details

### __init__(self, type=wxEVT_NULL, winid=0, pt=DefaultPosition)
(Constructor)

Constructor.

  Parameters:
    `type`
    (type=EventType)

    `winid`
    (type=int)

    `pt`
    (type=Point)

  Returns:
    ContextMenuEvent
  Overrides:
    `wx.CommandEvent.__init__`

### GetPosition(self)

Returns the position (in screen coordinants) at which the menu should be shown.

  Returns:
    Point

### SetPosition(self, pos)

Sets the position at which the menu should be shown.

  Parameters:
    `pos`
    (type=Point)

Property Details

### Position

See `GetPosition` and `SetPosition`

  Get Method:
    `GetPosition`(self)
  Set Method:
    `SetPosition`(self, pos)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:53 2007 | http://epydoc.sf.net